nginx 错误提示 "The system cannot find the path specified"

将nginx.exe文件拖入命令行窗口,回车运行后,出现以下错误提示:
nginx:
[alert] could not open error log file: CreateFile() "logs/error.log" failed
(3: The system cannot find the path specified)
2016/10/17 15:52:21
[emerg] 7204#2148: CreateFile() "C:\Windows\system32/conf/nginx.conf" failed
(3: The system cannot find the path specified)
网上搜索了一下相关资料,在梦中梦的博文“windwos nginx 不在exe目录运行的错误”中找到了一丝线索,博文地址如下:
http://meiyitianabc.blog.163.com/blog/static/1050221272013615253563
文中写道,出现这个错误提示的原因是我们把nginx的目录加入到系统环境变量的path中去了,然而nginx启动时各种路径都是以当前工作目录为起点的,这就导致了系统去"C\Windows\system32/conf/nginx.conf"这个地方去寻找配置文件,而不是正常的"nginx安装路径/conf/nginx.conf"。
我这才想起来,之前为了能够在命令行窗口下输入nginx回车启动nginx,我把nginx安装路径加入了系统环境变量的path中去了。当下我就打开系统环境变量,把nginx安装路径移除了。心想这下应该大功告成了吧……
不错……如你所料,我又遇到了新的问题——计算机的错误总是层出不穷。当我再次尝试之前的操作,系统给出了以下错误提示:
nginx:
[alert] could not open error log file: CreateFile() "logs/error.log" failed
(3: The system cannot find the path specified)
2016/10/17 16:11:05
[emerg] 7536#5292: CreateFile() "C:\Users\T/conf/nginx.conf" failed
(3: The system cannot find the path specified)
乍一看,还以为是同一个错误。仔细看了下,上个错误提示中的:
[emerg] 7204#2148: CreateFile() "C:\Windows\system32/conf/nginx.conf" failed
(3: The system cannot find the path specified)
路径改变了,变成了:
[emerg] 7536#5292: CreateFile() "C:\Users\T/conf/nginx.conf" failed
(3: The system cannot find the path specified)
有了前面的经验,我自然地打开环境变量去检查用户环境变量(前面是系统环境变量),结果,在用户环境变量的path中并没有找到nginx的安装路径,一时之间我有些不知所措了。

----------------------------- 分割线 -----------------------------

写了个简单的启动nginx.exe的bat脚本,结果呢,这个脚本放在nginx安装路径下运行可以成功地启动nginx,放在其它目录就失效了,这……顿时我就凌乱了。
好吧,不玩了,老老实实地进nginx安装目录启动它吧。

1个回答

Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
其他相关推荐
nginx启动闪退,端口已经改成了88
日志: 2018/12/02 17:08:40 [error] 18452#19916: CreateFile() "D:\nginx-1.12.2/logs/nginx.pid" failed (2: The system cannot find the file specified)
nginx 配置错误 unknown directive "hash"
这是配置文件里的一段 ``` upstream openfire9090{ server 192.168.10.211:9090; server 192.168.10.212:9090; hash $http_x_forwarded_for;//说是这里没有 hash指令? } server { listen 9090; server_name localhost; location / { proxy_pass http://openfire9090; proxy_set_header Host $host; proxy_set_header X-Real-IP $remote_addr; proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for; } } ``` # service nginx reload nginx: [emerg] unknown directive "hash" in /usr/local/nginx/conf/nginx.conf:55 nginx: configuration file /usr/local/nginx/conf/nginx.conf test failed
centos7下安装nginx出错,求助大神
``` objs/ngx_modules.o \ -ldl -lpthread -lcrypt -lpcre -lcrypto -lcrypto -lz \ -Wl,-E sed -e "s|%%PREFIX%%|/usr/local/nginx|" \ -e "s|%%PID_PATH%%|/usr/local/nginx/logs/nginx.pid|" \ -e "s|%%CONF_PATH%%|/usr/local/nginx/conf/nginx.conf|" \ -e "s|%%ERROR_LOG_PATH%%|/usr/local/nginx/logs/error.log|" \ < man/nginx.8 > objs/nginx.8 make[1]: Leaving directory `/root/nginx-1.10.3' ```
Nginx启动时service nginx start出现错误
命令service nginx start 出现错误 Starting nginx (via systemctl):  Job for nginx.service failed because the control process exited with error code. See "systemctl status nginx.service" and "journalctl -xe" for details.                                                            [FAILED] 然后查看详情systemctl status nginx.service systemctl status nginx.service ● nginx.service - SYSV: Nginx is an HTTP(S) server, HTTP(S) reverse proxy and IMAP/POP3 proxy server    Loaded: loaded (/etc/rc.d/init.d/nginx; bad; vendor preset: disabled)    Active: failed (Result: exit-code) since Sun 2019-07-07 15:51:25 CST; 8s ago      Docs: man:systemd-sysv-generator(8)   Process: 22685 ExecStart=/etc/rc.d/init.d/nginx start (code=exited, status=5)Jul 07 15:51:25 iZwz9gionemu6x0y9pvxihZ systemd[1]: Starting SYSV: Nginx is an HTTP(S) server, HTTP(S) reverse proxy and IMAP/POP3...ver... Jul 07 15:51:25 iZwz9gionemu6x0y9pvxihZ systemd[1]: nginx.service: control process exited, code=exited status=5 Jul 07 15:51:25 iZwz9gionemu6x0y9pvxihZ systemd[1]: Failed to start SYSV: Nginx is an HTTP(S) server, HTTP(S) reverse proxy and IM...erver. Jul 07 15:51:25 iZwz9gionemu6x0y9pvxihZ systemd[1]: Unit nginx.service entered failed state. Jul 07 15:51:25 iZwz9gionemu6x0y9pvxihZ systemd[1]: nginx.service failed. 是什么问题啊
PHP配置路由出错,404找不到文件
使用FastRoute配置完了之后访问,nginx报错: "D:/WWW/justlogapi/public/index.php/justlog/user/get_base_info/8" failed (3: The system cannot find the path specified), client: 192.168.0.50, server: , request: "GET /justlog/user/get_base_info/8 HTTP/1.1", host: "192.168.0.50:81" 下面是我nginx的配置 ![图片说明](https://img-ask.csdn.net/upload/201703/31/1490943417_304699.png) nginx配置 文件public/index.php是存在的,按理说,应该将justlog/user/get_base_info/8作为参数传入才对,但是服务器直接报错404说找不到。求助各路大神
已安装的Nginx追加自带模块始终报错
* Centos7系统下已安装的nginx需要追加http_limit_req_module模块。按照网上的方法,下载了对应版本的源码, 1. 在配置参数后追加--with-http_limit_req_module,出现以下报错 ``` ./configure: error: invalid option "--with-http_limit_req_module" ``` 2. 使用--add-module=http_limit_req_module报找不到config文件 ``` adding module in http_limit_req_module ./configure: error: no http_limit_req_module/config was found ``` 3. 将模块名改成ngx_http_limit_req_module报的也是类似的错误 # 求大神看看应该怎么添加 下面是完整配置参数,nginx版本是1.17.8,--with-http_limit_req_module前的参数是用nginx -V查出来的 ``` ./configure --prefix=/etc/nginx --sbin-path=/usr/sbin/nginx --modules-path=/usr/lib64/nginx/modules --conf-path=/etc/nginx/nginx.conf --error-log-path=/var/log/nginx/error.log --http-log-path=/var/log/nginx/access.log --pid-path=/var/run/nginx.pid --lock-path=/var/run/nginx.lock --http-client-body-temp-path=/var/cache/nginx/client_temp --http-proxy-temp-path=/var/cache/nginx/proxy_temp --http-fastcgi-temp-path=/var/cache/nginx/fastcgi_temp --http-uwsgi-temp-path=/var/cache/nginx/uwsgi_temp --http-scgi-temp-path=/var/cache/nginx/scgi_temp --user=nginx --group=nginx --with-compat --with-file-aio --with-threads --with-http_addition_module --with-http_auth_request_module --with-http_dav_module --with-http_flv_module --with-http_gunzip_module --with-http_gzip_static_module --with-http_mp4_module --with-http_random_index_module --with-http_realip_module --with-http_secure_link_module --with-http_slice_module --with-http_ssl_module --with-http_stub_status_module --with-http_sub_module --with-http_v2_module --with-mail --with-mail_ssl_module --with-stream --with-stream_realip_module --with-stream_ssl_module --with-stream_ssl_preread_module --with-cc-opt='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -m64 -mtune=generic -fPIC' --with-ld-opt='-Wl,-z,relro -Wl,-z,now -pie' --with-http_limit_req_module ```
nginx配置 ssl 后依然报错
nginx 安装配置了 ssl,启动的时候还是报错 the "ssl" parameter requires ngx_http_ssl_module in /usr/local/nginx/conf/./bjskconfig/saasnode.conf:79
安装nginx,添加它为系统服务,nano /etc/init.d/nginx添加的配置代码看不懂
#!/bin/sh # # nginx - this script starts and stops the nginx daemon # # chkconfig: - 85 15 # description: Nginx is an HTTP(S) server, HTTP(S) reverse \ # proxy and IMAP/POP3 proxy server # processname: nginx # config: /data/nginx/nginx.conf # config: /etc/sysconfig/nginx # pidfile: /var/run/nginx.pid # Source function library. . /etc/rc.d/init.d/functions # Source networking configuration. . /etc/sysconfig/network # Check that networking is up. [ "$NETWORKING" = "no" ] && exit 0 nginx="/data/nginx/sbin/nginx" prog=$(basename $nginx) NGINX_CONF_FILE="/data/nginx/conf/nginx.conf" [ -f /etc/sysconfig/nginx ] && . /etc/sysconfig/nginx lockfile=/var/lock/subsys/nginx start() { [ -x $nginx ] || exit 5 [ -f $NGINX_CONF_FILE ] || exit 6 echo -n $"Starting $prog: " daemon $nginx -c $NGINX_CONF_FILE retval=$? echo [ $retval -eq 0 ] && touch $lockfile return $retval } stop() { echo -n $"Stopping $prog: " killproc $prog -QUIT retval=$? echo [ $retval -eq 0 ] && rm -f $lockfile return $retval killall -9 nginx } restart() { configtest || return $? stop sleep 1 start } reload() { configtest || return $? echo -n $"Reloading $prog: " killproc $nginx -HUP RETVAL=$? echo } force_reload() { restart } configtest() { $nginx -t -c $NGINX_CONF_FILE } rh_status() { status $prog } rh_status_q() { rh_status >/dev/null 2>&1 } case "$1" in start) rh_status_q && exit 0 $1 ;; stop) rh_status_q || exit 0 $1 ;; restart|configtest) $1 ;; reload) rh_status_q || exit 7 $1 ;; force-reload) force_reload ;; status) rh_status ;; condrestart|try-restart) rh_status_q || exit 0 ;; *) echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload|configtest}" exit 2 esac 请有空的大神指导下几个主要步骤的作用(详细的当然更好),先谢过啦!本人是纯新手,只知道一点简单命令,对着文档知其然而不知其所以然,真心很苦恼。。。。。。
nginx: [emerg] unknown directive "ngx_fastdfs_module" in /usr/local/nginx/conf/nginx.conf:50
安装fastdfs 整合 nginx ; nginx: [emerg] unknown directive "ngx_fastdfs_module" in /usr/local/nginx/conf/nginx.conf:50![图片说明](https://img-ask.csdn.net/upload/201905/22/1558504219_473998.png) 请问这种情况怎么解决
nginx启动 重启 停止 报错 求大神解决
一启动就报错: [root@localhost sbin]# ./nginx [root@localhost sbin]# nginx: [emerg] open() "/var/run/nginx/nginx.pid" failed (2: No such file or directory) 按照网上说的添加/usr/local/nginx/sbin/nginx -c /usr/local/nginx/conf/nginx.conf还是报上面的错
nginx Active: failed (Result: exit-code)
● nginx.service - A high performance web server and a reverse proxy server Loaded: loaded (/lib/systemd/system/nginx.service; enabled; vendor preset: enabled) Active: failed (Result: exit-code) since Wed 2020-01-29 16:13:38 CST; 2min 12s ago Docs: man:nginx(8) Process: 346 ExecStartPre=/usr/sbin/nginx -t -q -g daemon on; master_process on; (code=exited, status=1/FAILURE) Jan 29 16:13:38 iZuf6ho8zm29gfku9v72vnZ systemd[1]: Starting A high performance web server and a reverse proxy server... Jan 29 16:13:38 iZuf6ho8zm29gfku9v72vnZ nginx[346]: nginx: [emerg] open() "/etc/nginx/uwsgi_params" failed (2: No such file or directory) in /etc/nginx/ngin Jan 29 16:13:38 iZuf6ho8zm29gfku9v72vnZ nginx[346]: nginx: configuration file /etc/nginx/nginx.conf test failed Jan 29 16:13:38 iZuf6ho8zm29gfku9v72vnZ systemd[1]: nginx.service: Control process exited, code=exited status=1 Jan 29 16:13:38 iZuf6ho8zm29gfku9v72vnZ systemd[1]: nginx.service: Failed with result 'exit-code'. Jan 29 16:13:38 iZuf6ho8zm29gfku9v72vnZ systemd[1]: Failed to start A high performance web server and a reverse proxy server.
阿里云+nginx+ssl+https配置后,网页依旧无法显示,请大神指教
阿里云+nginx+ssl配置后,网页依旧无法显示,请大神指教 域名已经解析 ![图片说明](https://img-ask.csdn.net/upload/202002/09/1581225059_616698.png) 服务器相关端口已打开 ![图片说明](https://img-ask.csdn.net/upload/202002/09/1581231238_906425.png) 系统是unbuntu16,nginx版本为1.15,已有ssl模块 ![图片说明](https://img-ask.csdn.net/upload/202002/09/1581225248_962076.png) ssl证书有上传至服务器 ![图片说明](https://img-ask.csdn.net/upload/202002/09/1581225321_579997.png) nginx的配置文件nginx.conf内容如下 ``` #user nobody; worker_processes 1; #error_log logs/error.log; #error_log logs/error.log notice; #error_log logs/error.log info; #pid logs/nginx.pid; events { worker_connections 1024; } http { include mime.types; default_type application/octet-stream; #log_format main '$remote_addr - $remote_user [$time_local] "$request" ' # '$status $body_bytes_sent "$http_referer" ' # '"$http_user_agent" "$http_x_forwarded_for"'; #access_log logs/access.log main; sendfile on; #tcp_nopush on; #keepalive_timeout 0; keepalive_timeout 65; #gzip on; # server { # listen 80; # server_name localhost; # #charset koi8-r; # #access_log logs/host.access.log main; # location / { # root html; # index index.html index.htm; # } # #error_page 404 /404.html; # # redirect server error pages to the static page /50x.html # # # error_page 500 502 503 504 /50x.html; # location = /50x.html { # root html; # } # # proxy the PHP scripts to Apache listening on 127.0.0.1:80 # # # #location ~ \.php$ { # # proxy_pass http://127.0.0.1; # #} # # pass the PHP scripts to FastCGI server listening on 127.0.0.1:9000 # # # #location ~ \.php$ { # # root html; # # fastcgi_pass 127.0.0.1:9000; # # fastcgi_index index.php; # # fastcgi_param SCRIPT_FILENAME /scripts$fastcgi_script_name; # # include fastcgi_params; # #} # # deny access to .htaccess files, if Apache's document root # # concurs with nginx's one # # # #location ~ /\.ht { # # deny all; # #} # } # another virtual host using mix of IP-, name-, and port-based configuration # #server { # listen 8000; # listen somename:8080; # server_name somename alias another.alias; # location / { # root html; # index index.html index.htm; # } #} # HTTPS server # server { listen 443 ssl; server_name www.faceanalyze.club faceanalyze.club; ssl_certificate /usr/local/nginx/cert/cert.pem; ssl_certificate_key /usr/local/nginx/cert/cert.key; # ssl_session_cache shared:SSL:1m; ssl_session_timeout 5m; ssl_ciphers ECDHE-RSA-AES128-GCM-SHA256:ECDHE:ECDH:AES:HIGH:!NULL:!aNULL:!MD5:!ADH:!RC4;; ssl_protocols TLSv1 TLSv1.1 TLSv1.2; ssl_prefer_server_ciphers on; location / { root html; index index.html index.htm; } } server { listen 80; server_name www.faceanalyze.club faceanalyze.club; return 301 https://$server_name$request_uri; } } ``` nginx有重新加载配置,端口使用情况如下 ![图片说明](https://img-ask.csdn.net/upload/202002/09/1581225719_742816.png) 用浏览器查看时,无法显示 ![图片说明](https://img-ask.csdn.net/upload/202002/09/1581225832_412617.png) 请大神求解!谢谢
微信支付沙箱测试错误
接口: https://apitest.mch.weixin.qq.com/sandboxnew/pay/getsignkey 错误信息(json打印): {"code":"204","status":"ERROR","responseline":"HTTP\/1.1 204 ERROR","headers":{"Server":"nginx","Date":"Sat, 31 Mar 2018 08:05:42 GMT","Content-Type":"text\/plain;charset=utf-8","Content-Length":"178","Connection":"close","from":"sandbox"},"content":false,"meta":"HTTP\/1.1 204 ERROR\r\nServer: nginx\r\nDate: Sat, 31 Mar 2018 08:05:42 GMT\r\nContent-Type: text\/plain;charset=utf-8\r\nContent-Length: 178\r\nConnection: close\r\nfrom: sandbox\r\n\r\n"} 这是怎样一回事?
php 通过web重新加载nginx配置
在linux下我同过php命令直接运行test.php文件是可以成功的,但是我同过nginx去访问(也就是浏览器)test.php文件。死活执行不成功。。。test.php文件就一行代码。。。执行重新加载nginx配置的命令system("sudo service nginx restart", $out);。。 哪位大神可以告知下。
nginx配置php,可以看到phpinfo,但是解析不了其他的php代码
我在ubuntu上搭建lnmp环境,在配置nginx的时候有个小问题。 在/etc/nginx/sites-available/创建一个test文件 ``` server { listen 9090; #listen [::]:9090; server_name test.com; large_client_header_buffers 4 16k; client_max_body_size 300m; client_body_buffer_size 128k; proxy_connect_timeout 600; proxy_read_timeout 600; proxy_send_timeout 600; proxy_buffer_size 64k; proxy_buffers 4 32k; proxy_busy_buffers_size 64k; proxy_temp_file_write_size 64k; root /var/www/test; #index index.html index.php; index index.html index.htm index.php; location / { try_files $uri $uri/ =404; } # pass PHP scripts to FastCGI server # location ~ \.php$ { # include snippets/fastcgi-php.conf; # # # With php-fpm (or other unix sockets): fastcgi_pass unix:/var/run/php/php7.0-fpm.sock; # # With php-cgi (or other tcp sockets): #fastcgi_pass 127.0.0.1:9090; fastcgi_index index.php; # fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name; include fastcgi_params; } # deny access to .htaccess files, if Apache's document root # concurs with nginx's one # #location ~ /\.ht { # deny all; #} } ``` 然后在fastcgi_params文件下添加 ``` fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name; ``` 访问127.0.0.1:9090/index.php,会报 GET http://127.0.0.1:9090/index.php net::ERR_INCOMPLETE_CHUNKED_ENCODING 200 (OK) 在nginx的error.log日志中有 2020/01/31 17:11:55 [error] 15569#15569: *6 upstream timed out (110: Connection timed out) while reading upstream, client: 127.0.0.1, server: test.com, request: "GET /index.php HTTP/1.1", upstream: "fastcgi://unix:/var/run/php/php7.0-fpm.sock:", host: "127.0.0.1:9090"
httpclient访问Nginx集群404错误
在使用httpClient范文Nginx做的集群时,出现404错误。 在浏览器中访问正常。 发现原因是不知道哪块配置的不正确导致url套了两层二级目录。 nginx集群配置如下 upstream weibo { ip_hash; server 10.30.30.152:8080 weight=2 fail_timeout=5; server 10.30.30.155:8080 weight=2 fail_timeout=5; server 10.30.30.155:8081 weight=2 fail_timeout=5; server 10.30.30.156:8080 weight=2 fail_timeout=5; server 10.30.30.156:8081 weight=2 fail_timeout=5; } location /weibo { proxy_connect_timeout 30; proxy_send_timeout 30; proxy_read_timeout 30; proxy_pass http://weibo; proxy_set_header X-Real-IP $remote_addr; } HttpClient访问的部分代码如下: String result = httpclient.postForm( "http://lswx.lnd.com.cn/weibo/ws/rest/", new PostParameter[] { new PostParameter("eap_username", "admin"), new PostParameter("eap_password", 1), new PostParameter("boId", "weibomanagedc_memberFunctionBO_bo"), new PostParameter("methodName", "getMemberScoreInfo"), new PostParameter("returnType", "String"), new PostParameter("parameters", "[{String:{userid:\"781607\",currentPage:1}}]")}); System.out.println(result); 正常的url应该是http://lswx.lnd.com.cn/weibo/ws/rest/ 可是在返回的404信息中url变成了 <h1>HTTP Status 404 - /weibo/weibo/ws/rest/;jsessionid=EA56FE93960229138ECC634E697123C6</h1> 有两个weibo 有没有大侠遇到过类似问题,指点一二 万谢,在线等
phpstudy 同时开启apache(做后端)和nginx(做前端) 同时运行一段时间后卡死,看错误日志文件也没提示什么错误
phpstudy 同时开启apache(做后端)和nginx(做前端) 同时运行一段时间后卡死,看错误日志文件也没提示什么错误
nginx配置怎么加代码啊?我不知道nginx在哪里
nginx配置怎么加代码啊?我不知道nginx在哪里 我下载了Typecho,发文章的时候点不开,我又不会代码,百度半天说是要在nginx加一行代码fastcgi_split_path_info ^(.+?\.php)(/.*)$; 我又不知道怎么加
终于明白阿里百度这样的大公司,为什么面试经常拿ThreadLocal考验求职者了
点击上面↑「爱开发」关注我们每晚10点,捕获技术思考和创业资源洞察什么是ThreadLocalThreadLocal是一个本地线程副本变量工具类,各个线程都拥有一份线程私有的数
程序员必须掌握的核心算法有哪些?
由于我之前一直强调数据结构以及算法学习的重要性,所以就有一些读者经常问我,数据结构与算法应该要学习到哪个程度呢?,说实话,这个问题我不知道要怎么回答你,主要取决于你想学习到哪些程度,不过针对这个问题,我稍微总结一下我学过的算法知识点,以及我觉得值得学习的算法。这些算法与数据结构的学习大多数是零散的,并没有一本把他们全部覆盖的书籍。下面是我觉得值得学习的一些算法以及数据结构,当然,我也会整理一些看过
Linux(服务器编程):15---两种高效的事件处理模式(reactor模式、proactor模式)
前言 同步I/O模型通常用于实现Reactor模式 异步I/O模型则用于实现Proactor模式 最后我们会使用同步I/O方式模拟出Proactor模式 一、Reactor模式 Reactor模式特点 它要求主线程(I/O处理单元)只负责监听文件描述符上是否有事件发生,有的话就立即将时间通知工作线程(逻辑单元)。除此之外,主线程不做任何其他实质性的工作 读写数据,接受新的连接,以及处...
阿里面试官问我:如何设计秒杀系统?我的回答让他比起大拇指
你知道的越多,你不知道的越多 点赞再看,养成习惯 GitHub上已经开源 https://github.com/JavaFamily 有一线大厂面试点脑图和个人联系方式,欢迎Star和指教 前言 Redis在互联网技术存储方面使用如此广泛,几乎所有的后端技术面试官都要在Redis的使用和原理方面对小伙伴们进行360°的刁难。 作为一个在互联网公司面一次拿一次Offer的面霸,打败了...
五年程序员记流水账式的自白。
不知觉已中码龄已突破五年,一路走来从起初铁憨憨到现在的十九线程序员,一路成长,虽然不能成为高工,但是也能挡下一面,从15年很火的android开始入坑,走过java、.Net、QT,目前仍处于android和.net交替开发中。 毕业到现在一共就职过两家公司,目前是第二家,公司算是半个创业公司,所以基本上都会身兼多职。比如不光要写代码,还要写软著、软著评测、线上线下客户对接需求收集...
C语言魔塔游戏
很早就很想写这个,今天终于写完了。 游戏截图: 编译环境: VS2017 游戏需要一些图片,如果有想要的或者对游戏有什么看法的可以加我的QQ 2985486630 讨论,如果暂时没有回应,可以在博客下方留言,到时候我会看到。 下面我来介绍一下游戏的主要功能和实现方式 首先是玩家的定义,使用结构体,这个名字是可以自己改变的 struct gamerole { char n
一文详尽系列之模型评估指标
点击上方“Datawhale”,选择“星标”公众号第一时间获取价值内容在机器学习领域通常会根据实际的业务场景拟定相应的不同的业务指标,针对不同机器学习问题如回归、分类、排...
究竟你适不适合买Mac?
我清晰的记得,刚买的macbook pro回到家,开机后第一件事情,就是上了淘宝网,花了500元钱,找了一个上门维修电脑的师傅,上门给我装了一个windows系统。。。。。。 表砍我。。。 当时买mac的初衷,只是想要个固态硬盘的笔记本,用来运行一些复杂的扑克软件。而看了当时所有的SSD笔记本后,最终决定,还是买个好(xiong)看(da)的。 已经有好几个朋友问我mba怎么样了,所以今天尽量客观
程序员一般通过什么途径接私活?
二哥,你好,我想知道一般程序猿都如何接私活,我也想接,能告诉我一些方法吗? 上面是一个读者“烦不烦”问我的一个问题。其实不止是“烦不烦”,还有很多读者问过我类似这样的问题。 我接的私活不算多,挣到的钱也没有多少,加起来不到 20W。说实话,这个数目说出来我是有点心虚的,毕竟太少了,大家轻喷。但我想,恰好配得上“一般程序员”这个称号啊。毕竟苍蝇再小也是肉,我也算是有经验的人了。 唾弃接私活、做外...
压测学习总结(1)——高并发性能指标:QPS、TPS、RT、吞吐量详解
一、QPS,每秒查询 QPS:Queries Per Second意思是“每秒查询率”,是一台服务器每秒能够相应的查询次数,是对一个特定的查询服务器在规定时间内所处理流量多少的衡量标准。互联网中,作为域名系统服务器的机器的性能经常用每秒查询率来衡量。 二、TPS,每秒事务 TPS:是TransactionsPerSecond的缩写,也就是事务数/秒。它是软件测试结果的测量单位。一个事务是指一...
Python爬虫爬取淘宝,京东商品信息
小编是一个理科生,不善长说一些废话。简单介绍下原理然后直接上代码。 使用的工具(Python+pycharm2019.3+selenium+xpath+chromedriver)其中要使用pycharm也可以私聊我selenium是一个框架可以通过pip下载 pip install selenium -i https://pypi.tuna.tsinghua.edu.cn/simple/ 
阿里程序员写了一个新手都写不出的低级bug,被骂惨了。
这种新手都不会范的错,居然被一个工作好几年的小伙子写出来,差点被当场开除了。
Java工作4年来应聘要16K最后没要,细节如下。。。
前奏: 今天2B哥和大家分享一位前几天面试的一位应聘者,工作4年26岁,统招本科。 以下就是他的简历和面试情况。 基本情况: 专业技能: 1、&nbsp;熟悉Sping了解SpringMVC、SpringBoot、Mybatis等框架、了解SpringCloud微服务 2、&nbsp;熟悉常用项目管理工具:SVN、GIT、MAVEN、Jenkins 3、&nbsp;熟悉Nginx、tomca
2020年,冯唐49岁:我给20、30岁IT职场年轻人的建议
点击“技术领导力”关注∆  每天早上8:30推送 作者| Mr.K   编辑| Emma 来源| 技术领导力(ID:jishulingdaoli) 前天的推文《冯唐:职场人35岁以后,方法论比经验重要》,收到了不少读者的反馈,觉得挺受启发。其实,冯唐写了不少关于职场方面的文章,都挺不错的。可惜大家只记住了“春风十里不如你”、“如何避免成为油腻腻的中年人”等不那么正经的文章。 本文整理了冯
程序员该看的几部电影
##1、骇客帝国(1999) 概念:在线/离线,递归,循环,矩阵等 剧情简介: 不久的将来,网络黑客尼奥对这个看似正常的现实世界产生了怀疑。 他结识了黑客崔妮蒂,并见到了黑客组织的首领墨菲斯。 墨菲斯告诉他,现实世界其实是由一个名叫“母体”的计算机人工智能系统控制,人们就像他们饲养的动物,没有自由和思想,而尼奥就是能够拯救人类的救世主。 可是,救赎之路从来都不会一帆风顺,到底哪里才是真实的世界?
Python绘图,圣诞树,花,爱心 | Turtle篇
每周每日,分享Python实战代码,入门资料,进阶资料,基础语法,爬虫,数据分析,web网站,机器学习,深度学习等等。 公众号回复【进群】沟通交流吧,QQ扫码进群学习吧 微信群 QQ群 1.画圣诞树 import turtle screen = turtle.Screen() screen.setup(800,600) circle = turtle.Turtle()...
作为一个程序员,CPU的这些硬核知识你必须会!
CPU对每个程序员来说,是个既熟悉又陌生的东西? 如果你只知道CPU是中央处理器的话,那可能对你并没有什么用,那么作为程序员的我们,必须要搞懂的就是CPU这家伙是如何运行的,尤其要搞懂它里面的寄存器是怎么一回事,因为这将让你从底层明白程序的运行机制。 随我一起,来好好认识下CPU这货吧 把CPU掰开来看 对于CPU来说,我们首先就要搞明白它是怎么回事,也就是它的内部构造,当然,CPU那么牛的一个东
还记得那个提速8倍的IDEA插件吗?VS Code版本也发布啦!!
去年,阿里云发布了本地 IDE 插件 Cloud Toolkit,仅 IntelliJ IDEA 一个平台,就有 15 万以上的开发者进行了下载,体验了一键部署带来的开发便利。时隔一年的今天,阿里云正式发布了 Visual Studio Code 版本,全面覆盖前端开发者,帮助前端实现一键打包部署,让开发提速 8 倍。 VSCode 版本的插件,目前能做到什么? 安装插件之后,开发者可以立即体验...
破14亿,Python分析我国存在哪些人口危机!
2020年1月17日,国家统计局发布了2019年国民经济报告,报告中指出我国人口突破14亿。 猪哥的朋友圈被14亿人口刷屏,但是很多人并没有看到我国复杂的人口问题:老龄化、男女比例失衡、生育率下降、人口红利下降等。 今天我们就来分析一下我们国家的人口数据吧! 一、背景 1.人口突破14亿 2020年1月17日,国家统计局发布了 2019年国民经济报告 ,报告中指出:年末中国大陆总人口(包括31个
2019年除夕夜的有感而发
天气:小雨(加小雪) 温度:3摄氏度 空气:严重污染(399) 风向:北风 风力:微风 现在是除夕夜晚上十点钟,再有两个小时就要新的一年了; 首先要说的是我没患病,至少现在是没有患病;但是心情确像患了病一样沉重; 现在这个时刻应该大部分家庭都在看春晚吧,或许一家人团团圆圆的坐在一起,或许因为某些特殊原因而不能团圆;但不管是身在何处,身处什么境地,我都想对每一个人说一句:新年快乐! 不知道csdn这...
听说想当黑客的都玩过这个Monyer游戏(1~14攻略)
第零关 进入传送门开始第0关(游戏链接) 请点击链接进入第1关: 连接在左边→ ←连接在右边 看不到啊。。。。(只能看到一堆大佬做完的留名,也能看到菜鸡的我,在后面~~) 直接fn+f12吧 &lt;span&gt;连接在左边→&lt;/span&gt; &lt;a href="first.php"&gt;&lt;/a&gt; &lt;span&gt;←连接在右边&lt;/span&gt; o...
在家远程办公效率低?那你一定要收好这个「在家办公」神器!
相信大家都已经收到国务院延长春节假期的消息,接下来,在家远程办公可能将会持续一段时间。 但是问题来了。远程办公不是人在电脑前就当坐班了,相反,对于沟通效率,文件协作,以及信息安全都有着极高的要求。有着非常多的挑战,比如: 1在异地互相不见面的会议上,如何提高沟通效率? 2文件之间的来往反馈如何做到及时性?如何保证信息安全? 3如何规划安排每天工作,以及如何进行成果验收? ......
作为一个程序员,内存和磁盘的这些事情,你不得不知道啊!!!
截止目前,我已经分享了如下几篇文章: 一个程序在计算机中是如何运行的?超级干货!!! 作为一个程序员,CPU的这些硬核知识你必须会! 作为一个程序员,内存的这些硬核知识你必须懂! 这些知识可以说是我们之前都不太重视的基础知识,可能大家在上大学的时候都学习过了,但是嘞,当时由于老师讲解的没那么有趣,又加上这些知识本身就比较枯燥,所以嘞,大家当初几乎等于没学。 再说啦,学习这些,也看不出来有什么用啊!
2020年的1月,我辞掉了我的第一份工作
其实,这篇文章,我应该早点写的,毕竟现在已经2月份了。不过一些其它原因,或者是我的惰性、还有一些迷茫的念头,让自己迟迟没有试着写一点东西,记录下,或者说是总结下自己前3年的工作上的经历、学习的过程。 我自己知道的,在写自己的博客方面,我的文笔很一般,非技术类的文章不想去写;另外我又是一个还比较热衷于技术的人,而平常复杂一点的东西,如果想写文章写的清楚点,是需要足够...
别低估自己的直觉,也别高估自己的智商
所有群全部吵翻天,朋友圈全部沦陷,公众号疯狂转发。这两周没怎么发原创,只发新闻,可能有人注意到了。我不是懒,是文章写了却没发,因为大家的关注力始终在这次的疫情上面,发了也没人看。当然,我...
这个世界上人真的分三六九等,你信吗?
偶然间,在知乎上看到一个问题 一时间,勾起了我深深的回忆。 以前在厂里打过两次工,做过家教,干过辅导班,做过中介。零下几度的晚上,贴过广告,满脸、满手地长冻疮。 再回首那段岁月,虽然苦,但让我学会了坚持和忍耐。让我明白了,在这个世界上,无论环境多么的恶劣,只要心存希望,星星之火,亦可燎原。 下文是原回答,希望能对你能有所启发。 如果我说,这个世界上人真的分三六九等,...
节后首个工作日,企业们集体开晨会让钉钉挂了
By 超神经场景描述:昨天 2 月 3 日,是大部分城市号召远程工作的第一天,全国有接近 2 亿人在家开始远程办公,钉钉上也有超过 1000 万家企业活跃起来。关键词:十一出行 人脸...
Java基础知识点梳理
Java基础知识点梳理 摘要: 虽然已经在实际工作中经常与java打交道,但是一直没系统地对java这门语言进行梳理和总结,掌握的知识也比较零散。恰好利用这段时间重新认识下java,并对一些常见的语法和知识点做个总结与回顾,一方面为了加深印象,方便后面查阅,一方面为了学好java打下基础。 Java简介 java语言于1995年正式推出,最开始被命名为Oak语言,由James Gosling(詹姆
2020年全新Java学习路线图,含配套视频,学完即为中级Java程序员!!
新的一年来临,突如其来的疫情打破了平静的生活! 在家的你是否很无聊,如果无聊就来学习吧! 世上只有一种投资只赚不赔,那就是学习!!! 传智播客于2020年升级了Java学习线路图,硬核升级,免费放送! 学完你就是中级程序员,能更快一步找到工作! 一、Java基础 JavaSE基础是Java中级程序员的起点,是帮助你从小白到懂得编程的必经之路。 在Java基础板块中有6个子模块的学
B 站上有哪些很好的学习资源?
哇说起B站,在小九眼里就是宝藏般的存在,放年假宅在家时一天刷6、7个小时不在话下,更别提今年的跨年晚会,我简直是跪着看完的!! 最早大家聚在在B站是为了追番,再后来我在上面刷欧美新歌和漂亮小姐姐的舞蹈视频,最近两年我和周围的朋友们已经把B站当作学习教室了,而且学习成本还免费,真是个励志的好平台ヽ(.◕ฺˇд ˇ◕ฺ;)ノ 下面我们就来盘点一下B站上优质的学习资源: 综合类 Oeasy: 综合
如何优雅地打印一个Java对象?
你好呀,我是沉默王二,一个和黄家驹一样身高,和刘德华一样颜值的程序员。虽然已经写了十多年的 Java 代码,但仍然觉得自己是个菜鸟(请允许我惭愧一下)。 在一个月黑风高的夜晚,我思前想后,觉得再也不能这么蹉跎下去了。于是痛下决心,准备通过输出的方式倒逼输入,以此来修炼自己的内功,从而进阶成为一名真正意义上的大神。与此同时,希望这些文章能够帮助到更多的读者,让大家在学习的路上不再寂寞、空虚和冷。 ...
相关热词 c#导入fbx c#中屏蔽键盘某个键 c#正态概率密度 c#和数据库登陆界面设计 c# 高斯消去法 c# codedom c#读取cad文件文本 c# 控制全局鼠标移动 c# temp 目录 bytes初始化 c#
立即提问